using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace ms_lesService.Database.Models;

[Table("objects2object_metadata_types_values")]
[Keyless]
public class Objects2ObjectMetadataTypeValues
{
    [ForeignKey("id_object")]
    [Column("id_object", Order = 1)]
    public Entity Object { get; set; }
    
    [ForeignKey("id_object_metadata_type")]
    [Column("id_object_metadata_type", Order = 2)]
    public ObjectMetadataType ObjectMetadataType { get; set; }
    
    [MaxLength(128)]
    [Column("value")]
    public string Value { get; set; }
}